aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorRémy Oudompheng <oudomphe@phare.normalesup.org>2014-02-19 08:19:27 +0100
committerRémy Oudompheng <oudomphe@phare.normalesup.org>2014-02-19 08:19:27 +0100
commit475e7d037299c3187054319f5e984c57524cabef (patch)
tree11e8913387c34d30b8d6cd15a352555c43daefae /src/run.bash
parent96678f9dc026648889830cd058cd34d9e7759426 (diff)
downloadgo-475e7d037299c3187054319f5e984c57524cabef.tar.gz
go-475e7d037299c3187054319f5e984c57524cabef.zip
cmd/gc: fix handling of append with -race.
Also re-enable race tests in run.bash. Fixes #7334. LGTM=rsc R=rsc, dvyukov, iant, bradfitz, dave CC=golang-codereviews https://golang.org/cl/65740043
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash6
1 files changed, 2 insertions, 4 deletions
diff --git a/src/run.bash b/src/run.bash
index 4252247791..9a01e0631b 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -57,10 +57,8 @@ go test sync -short -timeout=$(expr 120 \* $timeout_scale)s -cpu=10
# Race detector only supported on Linux and OS X,
# and only on amd64, and only when cgo is enabled.
-# Disabled due to golang.org/issue/7334; remove XXX below
-# and in run.bat to reenable.
case "$GOHOSTOS-$GOOS-$GOARCH-$CGO_ENABLED" in
-XXXlinux-linux-amd64-1 | XXXdarwin-darwin-amd64-1)
+linux-linux-amd64-1 | darwin-darwin-amd64-1)
echo
echo '# Testing race detector.'
go test -race -i runtime/race flag
@@ -175,7 +173,7 @@ rm -f goplay
[ "$GOARCH" == arm ] ||
(xcd ../test/bench/shootout
-./timing.sh -test || exit 1
+time ./timing.sh -test || exit 1
) || exit $?
[ "$GOOS" == openbsd ] || # golang.org/issue/5057